Cantera 2.6.0

Public Member Functions | Protected Attributes | Friends | List of all members
AnyBase Class Reference

Base class defining common data possessed by both AnyMap and AnyValue objects. More...

`#include <AnyMap.h>`

Inheritance diagram for AnyBase:
[legend]

## Public Member Functions
void | setLoc (int line, int column)
| For values which are derived from an input file, set the line and column of this value in that file. More...
const AnyValue & | getMetadata (const std::string &key) const
| Get a value from the metadata applicable to the AnyMap tree containing this node. More...

## Protected Attributes
int | m_line
| The line where this value occurs in the input file. More...
int | m_column
| If m_line >= 0, the column where this value occurs in the input file. More...
shared_ptr< AnyMap > | m_metadata
| Metadata relevant to an entire AnyMap tree, such as information about. More...

## Friends
class | InputFileError
void | warn_deprecated (const std::string &source, const AnyBase &node, const std::string &message)
| A deprecation warning for syntax in an input file. More...

## Detailed Description

Base class defining common data possessed by both AnyMap and AnyValue objects.

Definition at line 33 of file AnyMap.h.

## Constructor & Destructor Documentation

## ◆ AnyBase()

AnyBase | ( |  | ) |

Definition at line 566 of file AnyMap.cpp.

## ◆ ~AnyBase()

virtual ~AnyBase | ( |  | ) |
| inline virtual

Definition at line 36 of file AnyMap.h.

## Member Function Documentation

## ◆ setLoc()

void setLoc | ( | int | line,
|  | int | column
| ) |  |

For values which are derived from an input file, set the line and column of this value in that file.

Used for providing context for some error messages.

Definition at line 571 of file AnyMap.cpp.

References AnyBase::m_column, and AnyBase::m_line.

Referenced by AnyMap::createForYaml(), AnyMap::fromYamlFile(), AnyMap::fromYamlString(), AnyMap::operator[](), and YamlWriter::toYamlString().

## ◆ getMetadata()

const AnyValue & getMetadata | ( | const std::string & | key | ) | const

Get a value from the metadata applicable to the AnyMap tree containing this node.

Definition at line 577 of file AnyMap.cpp.

References AnyBase::m_metadata.

Referenced by ReactingSurf1D::serialize(), StFlow::serialize(), and Solution::source().

## Friends And Related Function Documentation

## ◆ InputFileError

friend class InputFileError
| friend

Definition at line 60 of file AnyMap.h.

## ◆ warn_deprecated

void warn_deprecated | ( | const std::string & | source,
|  | const AnyBase & | node,
|  | const std::string & | message
| ) |  |
| friend

A deprecation warning for syntax in an input file.

Definition at line 1901 of file AnyMap.cpp.

Referenced by AnyMap::fromYamlFile().

## Member Data Documentation

## ◆ m_line

int m_line
| protected

The line where this value occurs in the input file.

Set to -1 for values that weren't created from an input file.

Definition at line 50 of file AnyMap.h.

Referenced by AnyMap::copyMetadata(), AnyValue::order(), and AnyBase::setLoc().

## ◆ m_column

int m_column
| protected

If m_line >= 0, the column where this value occurs in the input file.

If m_line == -1, a value used for determining output ordering

Definition at line 54 of file AnyMap.h.

Referenced by AnyMap::copyMetadata(), AnyMap::operator[](), AnyValue::order(), and AnyBase::setLoc().

## ◆ m_metadata

shared_ptr<AnyMap> m_metadata
| protected

Metadata relevant to an entire AnyMap tree, such as information about.

Definition at line 58 of file AnyMap.h.

Referenced by AnyMap::copyMetadata(), AnyMap::createForYaml(), AnyBase::getMetadata(), AnyMap::operator[](), AnyValue::propagateMetadata(), AnyMap::propagateMetadata(), and AnyMap::setMetadata().

The documentation for this class was generated from the following files:

- AnyMap.h
- AnyMap.cpp